Bug 15472 - Кривые зависимости
: Кривые зависимости
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/kernel-modules-alsa-std-pae)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-04-26 14:04 by
Modified: 2008-04-28 12:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-26 14:04:56
[user@dima 14:01:44 ~]$ sudo apt-get --reinstall --ignore-missing install
kernel-headers-common kernel-modules-alsa-std-pae#1.0.15-alt1.132626.7
kernel-image-std-pae
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано kernel-image-std-pae#2.6.18-alt12 для 'kernel-image-std-pae'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  kernel-modules-alsa-std-pae#1.0.15-alt1.132626.7: Для установки требует:
kernel-image-std-pae (= 2.6.18-alt7)
                                                    Для установки требует:
kernel-image-std-pae (= 2.6.18-alt7)
E: Извините, `битые' пакеты
------- Comment #1 From 2008-04-27 22:39:59 -------
Зависимости там правильные (требуется точное совпадение версии и сборки ядра),
а
вот apt в данном случае выбрал не ту сборку пакета kernel-image-std-pae,
которая
требуется.  Можно явно указать kernel-image-std-pae#2.6.18-alt7 в параметрах,
или выполнить --reinstall для ядра отдельным вызовом apt-get.

Впрочем, apt-get --reinstall всё равно не совсем правильно работает с пакетами
ядра - см. Bug #3804 (при переустановке пакета создаётся дублирующая запись о
пакете в базе rpm), хотя я это давно не проверял - возможно, сейчас поведение
apt в такой ситуации изменилось.